! @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ !
! @@                                                                @@ !
! @@       PROGRAM  ASCOT 2014.440 (ver.4.40)                       @@ !
! @@     "Abinitio Simulation Code for Quantum Transport"           @@ !
! @@                                                                @@ !
! @@                                                                @@ !
! @@  AUTHOR(S): Hisashi KONDO (Univ. Tokyo)                        @@ !
! @@                                                09/May/2014     @@ !
! @@                                                                @@ !
! @@  Contact address: Phase System Consortium                      @@ !
! @@                                                                @@ !
! @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ !

subroutine set_hami_c_cc_scf(ispin)

  use condition_ini
  use hamiltonian_sgf
  use hamiltonian_c
  use hamiltonian_temp
  use scf_negf

  implicit none
  integer, intent(in) :: ispin
  integer :: i_do,j_do

  do j_do=1,m_mat_max_c
     do i_do=1,m_mat_max_c
        hcc_mat(i_do,j_do)=h_cc_scf(ispin,i_do,j_do)
     end do
  end do
  do j_do=1,m_mat_max_c
     do i_do=1,m_mat_max_c
        scc_mat(i_do,j_do)=s_cc_scf(i_do,j_do)
     end do
  end do

  return
end subroutine set_hami_c_cc_scf
